Subject: [rbridge] Ingress Rbridge address and BCN

From: manoj.k.wadekar at intel.com (Wadekar, Manoj K)
Date: Fri, 27 Oct 2006 09:17:58 -0700

Hi Radia,

	Yes, the intent is that BCN needs to go to the source that is
contributing to congestion. I am trying to make sure that in the
deployments (very real, IMHO) where cores are not maintaining all ES
addresses in FDB, BCNs can still be delivered to the ES by ingress
Rbridge.

Thanks,
- Manoj

-----Original Message-----
From: Radia Perlman [mailto:Radia.Perlman at sun.com] 
Sent: Friday, October 27, 2006 9:04 AM
To: Wadekar, Manoj K
Cc: rbridge at postel.org
Subject: Re: [rbridge] Ingress Rbridge address and BCN

Interesting. In theory, it is possible to send a packet to an unknown 
destination MAC by sending
through the ingress RBridge tree rooted at the RBridge that decided to 
send the BCN (or rooted
at the Designated RBridge on the link on which some legacy bridge 
decided to send the BCN).

But if there are going to lots of BCN's, then it would cut down on 
traffic to know the original
ingress RBridge, since the BCN's would never needed to be sent 
everywhere---just direct to
the ingress RBridge.

Just to make sure I do understand though, the intent is that the BCN 
does need to get to the
original source of the packet, and the ingress RBridge of the original 
packet will only forward the
BCN to the source, right?

Radia

Wadekar, Manoj K wrote:

>Yes, for large clusters, if cores do not maintain addresses of all the
>end-stations in whole cluster - then only way to get BCN back to ES, is
>to send them to ingress rbridge-address and then have that ingress
>rbridge forward BCN to end station with appropriate ES address.
>
>If so, ingress rbdridge address seems to be requirement to me.
>
>Thanks,
>- Manoj
>
>-----Original Message-----
>From: Silvano Gai [mailto:sgai at nuovasystems.com] 
>Sent: Friday, October 27, 2006 8:00 AM
>To: Radia.Perlman at sun.com; Wadekar, Manoj K
>Cc: rbridge at postel.org
>Subject: RE: [rbridge] Ingress Rbridge address and BCN
>
>
>If the congestion is detected in the core of the TRILL network, how do
>you signal back to the source host if you don't know which is the
>ingresss RBridge? 
>
>You cannot look-up the inner MAC address, because in the core of the
>network you don't keep the inner MAC addresses in the table. Correct?
>
>This is a clear reason while you need the ingress RBridge address.
>
>-- Silvano
>
>  
>
>>-----Original Message-----
>>From: rbridge-bounces at postel.org [mailto:rbridge-bounces at postel.org]
>>    
>>
>On
>  
>
>>Behalf Of Radia.Perlman at sun.com
>>Sent: Thursday, October 26, 2006 5:02 PM
>>To: Wadekar, Manoj K
>>Cc: rbridge at postel.org
>>Subject: Re: [rbridge] Ingress Rbridge address and BCN
>>
>>Hi Manoj,
>>
>>I'm confused about BCN. Wouldn't congestion notification need to go to
>>    
>>
>the
>  
>
>>original endnode source,
>>and not the ingress RBridge?
>>
>>Radia
>>
>>    
>>
>
>_______________________________________________
>rbridge mailing list
>rbridge at postel.org
>http://mailman.postel.org/mailman/listinfo/rbridge
>  
>